## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
((CREATE)) TABLE T (
  A VARCHAR(random()) PRIMARY KEY,
  B VARCHAR(15) NOT NULL,
  C DOUBLE PRECISION
);
INSERT INTO T VALUES ('a', 'p', -1.7976931348623157e+308);
INSERT INTO T VALUES ('b', 'q', -0.000000001);
INSERT INTO T VALUES ('c', 'r', 0.0);
INSERT INTO T VALUES ('d', 's', 3.14159265358979);
INSERT INTO T VALUES ('e', 't', 1.7976931348623157e+308);
INSERT INTO T VALUES ('f', 't', 750.25);
SELECT B, AVG(C) AS D, MIN(C) AS E, MAX(C) AS F FROM T GROUP BY B;
BEGIN TRANSACTION;
PRAGMA empty_result_callbacks = FALSE;
CREATE TABLE map_integer (id INT, name);
INSERT INTO map_integer VALUES(tanh(min(x'c9a96929920ca9c2', abs(-(-(((')' + atanh(-mod((log(6500845071933573017, 6500845071933573017) * 1), 6500845071933573017))) + 0)))), 2, 3)),'a');
CREATE TABLE map_text (id TEXT, name);
INSERT INTO map_text VALUES('4','e');
CREATE TABLE data (id TEXT, name);
INSERT INTO data VALUES(1,'abc');
INSERT INTO data VALUES('4','xyz');
CREATE VIEW idmap as SELECT * FROM map_integer UNION SELECT * FROM map_text;
CREATE TABLE mzed AS SELECT * FROM idmap;
PRAGMA automatic_index=ON;
SELECT * FROM data RIGHT OUTER JOIN idmap USING(id);

UPDATE map_integer SET id = 97 WHERE NOT NOT (NOT NOT (id BETWEEN 0 AND 100)) RETURNING *;
INSERT INTO map_text VALUES (NULL, NULL);
UPDATE map_text SET id = NULL WHERE id BETWEEN 0 AND 100;
INSERT INTO data DEFAULT VALUES;
SELECT * FROM map_text CROSS JOIN map_integer;
CREATE  INDEX IF NOT EXISTS idx_data_1265 ON data(name) WHERE name IS NOT NULL;
INSERT INTO data SELECT * FROM data;
SELECT * FROM data;
CREATE  INDEX IF NOT EXISTS idx_data_6471 ON data(lower(id)) WHERE id > 0;
PRAGMA defer_foreign_keys = 0;
CREATE TABLE T (
  a INTEGER,
  b REAL,
  c REAL
);
INSERT INTO T VALUES (1,1.5,10.0), (2,-2.5,20.0), (3,-9e999,30.0);
SELECT * FROM T WHERE b < 2.0 ORDER BY b;
PRAGMA vdbe_addoptrace = FALSE;
SELECT NTILE(4) OVER (PARTITION BY c ORDER BY c ROWS BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW EXCLUDE TIES) FROM T;
CREATE  INDEX IF NOT EXISTS idx_map_text_91 ON map_text(id COLLATE NOCASE) WHERE id > 0;
END TRANSACTION;
SELECT * FROM map_text AS a FULL OUTER JOIN T AS b ON a.rowid = b.rowid;
UPDATE map_integer SET name = NULL WHERE name BETWEEN 0 AND 100;
CREATE TRIGGER IF NOT EXISTS trg_data_5308 BEFORE UPDATE ON data FOR EACH ROW BEGIN SELECT RAISE(ABORT, 'abort'); END;
```

## Actual output

```sql
Usage: /home/test/sqlite3-src/build/sqlite3 [OPTIONS] FILENAME [SQL]
FILENAME is the name of an SQLite database. A new database is created
if the file does not previously exist.
OPTIONS include:
   -append              append the database to the end of the file
   -ascii               set output mode to 'ascii'
   -bail                stop after hitting an error
   -batch               force batch I/O
   -box                 set output mode to 'box'
   -column              set output mode to 'column'
   -cmd COMMAND         run "COMMAND" before reading stdin
   -csv                 set output mode to 'csv'
   -deserialize         open the database using sqlite3_deserialize()
   -echo                print commands before execution
   -init FILENAME       read/process named file
   -[no]header          turn headers on or off
   -help                show this message
   -html                set output mode to HTML
   -interactive         force interactive I/O
   -json                set output mode to 'json'
   -line                set output mode to 'line'
   -list                set output mode to 'list'
   -lookaside SIZE N    use N entries of SZ bytes for lookaside memory
   -markdown            set output mode to 'markdown'
   -maxsize N           maximum size for a --deserialize database
   -memtrace            trace all memory allocations and deallocations
   -mmap N              default mmap size set to N
   -newline SEP         set output row separator. Default: '\n'
   -nofollow            refuse to open symbolic links to database files
   -nonce STRING        set the safe-mode escape nonce
   -nullvalue TEXT      set text string for NULL values. Default ''
   -pagecache SIZE N    use N slots of SZ bytes each for page cache memory
   -quote               set output mode to 'quote'
   -readonly            open the database read-only
   -safe                enable safe-mode
   -separator SEP       set output column separator. Default: '|'
   -stats               print memory stats before each finalize
   -table               set output mode to 'table'
   -tabs                set output mode to 'tabs'
   -version             show SQLite version
   -vfs NAME            use NAME as the default VFS
```

## Expectation

```sql

```

## Flag

```
-help
```

